Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::cycle_fn Struct Reference

## Description

Returns an infinite range that endlessly repeats the source range.

## Synopsis of methods
constexpr view< cycle_fn > | cycle {}

## Public Member Functions
template<typename Rng , requires = (ForwardRange<Rng>())>
cycled_view< all_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , requires = (ForwardRange<Rng>())>

cycled_view<all_t<Rng> > ranges::v3::view::cycle_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  `!empty(rng)`